## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreParserProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.emf.ecoretools.diagram.providers.EcoreParserProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider

    public class EcoreParserProvider

extends org.eclipse.gmf.runtime.common.core.service.AbstractProvider
implements org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider

Constructor Summary
`EcoreParserProvider()`

Method Summary
`org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser(org.eclipse.core.runtime.IAdaptable hint)`
`static org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser(org.eclipse.gmf.runtime.emf.type.core.IElementType type, org.eclipse.emf.ecore.EObject object, java.lang.String parserHint)` Utility method that consults ParserService
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser(int visualID)`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreParserProvider

    public EcoreParserProvider()

Method Detail

### getParser

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser(int visualID)

### getParser

    public static org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser(org.eclipse.gmf.runtime.emf.type.core.IElementType type,
                                                                                      org.eclipse.emf.ecore.EObject object,
                                                                                      java.lang.String parserHint)

  Utility method that consults ParserService

### getParser

    public org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser(org.eclipse.core.runtime.IAdaptable hint)

  Specified by:
    `getParser` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParserProvider`

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.